## ruby-timecop 0.9.8

=== Makefile ===
IMAGE_NAME=timecop
VOLUMES=-v $(PWD):/tmp/src

image:
	docker build -t $(IMAGE_NAME) .

clean:
	rm Gemfile.lock

test: image
	docker run $(IMAGE_NAME) rake

console: image
	docker run -it --rm -w /tmp/src $(VOLUMES) $(IMAGE_NAME)

shell: image
	docker run -it --rm -w /tmp/src $(VOLUMES) $(IMAGE_NAME) bash

## ruby-timecop 0.5.9

=== debian/changelog ===
ruby-timecop (0.5.9-2) unstable; urgency=low

  * Team upload.
  * Add missing Build-Depends on ruby-tzinfo. (Closes: #713166)
  * Update project homepage URL.
  * Clean up boilerplate in debian/rules.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 23 Jun 2013 13:32:29 +0200

ruby-timecop (0.5.9-1) unstable; urgency=low

  * Initial release (Closes: #692052)

 -- Nandaja Varma <nandaja.varma@gmail.com>  Thu, 01 Nov 2012 23:33:19 +0400

=== debian/control ===
Source: ruby-timecop
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Nandaja Varma <nandaja.varma@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-mocha, ruby-activesupport, ruby-tzinfo
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-timecop.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-timecop.git;a=summary
Homepage: https://github.com/travisjeffery/timecop
XS-Ruby-Versions: all

Package: ruby-timecop
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Recommends: ruby-activesupport
Description: Ruby library to easily test time-dependent code
 Timecop makes it easy to travel through or freeze time for creating a
 predictable and ultimately testable scenario.
 .
 It is a wrapper class for manipulating the extensions to the Time, Date,
 and DateTime objects. It avoids overloading of functions with optional
 arguments while writing test cases. It is possible to nest multiple
 calls to Timecop.travel and Timecop.freeze, with each block maintaining
 concept of "now". Having no dependencies, it works with regular Ruby projects
 and Ruby on Rails projects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs History.rdoc

## ruby-timecop 0.7.1

=== debian/changelog ===
ruby-timecop (0.7.1-1) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add git-buildpackage configuration

  [ Cédric Boutillier ]
  * Imported Upstream version 0.7.1
  * Add myself to the uploders
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Build-depend on ruby-test-unit (Closes: #759898)
  * Add autopkgtest support
    + prefix tests path with ./
    + add fix_path_require.patch to use an absolute path to require timecop in
      tests, as the local lib/ directory is moved away during autopkgtest.
  * Do not install History.rdoc, not shipped anymore by upstream

 -- Cédric Boutillier <boutil@debian.org>  Sun, 31 Aug 2014 23:57:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Nandaja Varma <nandaja.varma@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-mocha, ruby-activesupport, ruby-tzinfo
-Standards-Version: 3.9.4
+Uploaders: Nandaja Varma <nandaja.varma@gmail.com>, Cédric Boutillier <boutil@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-mocha, ruby-activesupport, ruby-tzinfo, ruby-test-unit
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-timecop.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-timecop.git;a=summary
 Homepage: https://github.com/travisjeffery/timecop

## ruby-timecop 0.7.3

=== debian/changelog ===
ruby-timecop (0.7.3-1) unstable; urgency=medium

  * Imported Upstream version 0.7.3
  * Refresh patches
  * Buid-depends on ruby-minitest instead of ruby-test-unit
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 26 May 2015 23:33:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Nandaja Varma <nandaja.varma@gmail.com>, Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-mocha, ruby-activesupport, ruby-tzinfo, ruby-test-unit
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-mocha, ruby-activesupport, ruby-tzinfo, ruby-minitest
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-timecop.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-timecop.git;a=summary
 Homepage: https://github.com/travisjeffery/timecop

## ruby-timecop 0.8.0

=== debian/changelog ===
ruby-timecop (0.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: set TZ=UTC (Closes: #795663)
  * Refresh packaging with a new dh-make-ruby run

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Sep 2015 19:59:42 -0300

=== debian/control ===
Source: ruby-timecop
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Nandaja Varma <nandaja.varma@gmail.com>,
           Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-activesupport,
               ruby-minitest,
               ruby-mocha,
               ruby-tzinfo,
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-timecop.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-timecop.git
Homepage: https://github.com/travisjeffery/timecop
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-timecop
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby library to easily test time-dependent code
 Timecop makes it easy to travel through or freeze time for creating a
 predictable and ultimately testable scenario.
 .
 It is a wrapper class for manipulating the extensions to the Time, Date,
 and DateTime objects. It avoids overloading of functions with optional
 arguments while writing test cases. It is possible to nest multiple
 calls to Timecop.travel and Timecop.freeze, with each block maintaining
 concept of "now". Having no dependencies, it works with regular Ruby projects
 and Ruby on Rails projects.

=== debian/tests/control ===
Test-Command: gem2deb-test-runner --autopkgtest 2>&1
Depends: @, gem2deb-test-runner, ruby-test-unit, ruby-mocha, ruby-activesupport, ruby-tzinfo

Test-Command: ruby -r "timecop" -e "puts true"
Depends: @

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/timecop .*/timecop-(.*).tar.gz

## ruby-timecop 0.9.1

=== debian/changelog ===
ruby-timecop (0.9.1-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Cédric Boutillier ]
  * New upstream version 0.9.1
  * Run wrap-and-sort on packaging files
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Move debian/watch to gemwatch.debian.net
  * Use salsa.debian.org in Vcs-* fields
  * Refresh test_helper.rb_editing.patch
  * Drop fix_path_require.patch, fixed upstream
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Use secure copyright file specification URI.

 -- Cédric Boutillier <boutil@debian.org>  Sun, 15 Sep 2019 10:13:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Nandaja Varma <nandaja.varma@gmail.com>,
            Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 12),
                gem2deb,
                ruby-activesupport,
                ruby-minitest,
                ruby-mocha,
-               ruby-tzinfo,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-timecop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-timecop.git
+               ruby-tzinfo
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/ruby-team/ruby-timecop.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-timecop
 Homepage: https://github.com/travisjeffery/timecop
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export TZ=UTC

%:
	dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
https://gemwatch.debian.net/timecop .*/timecop-(.*).tar.gz

## ruby-timecop 0.9.5

=== debian/changelog ===
ruby-timecop (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Update packaging with dh-make-ruby -w
    + drop explicit ruby dependency
    + gem install layout
    + use ruby-tests.rake instead of ruby-tests.rb
    + bump Standards-Version to 4.6.1 (no changes needed)
  * Drop debian/tests directory
  * Refresh test_helper.rb_editing.patch
  * Build-depend on ruby-rspec
  * Bump debhelper compatibility level to 13

 -- Cédric Boutillier <boutil@debian.org>  Mon, 18 Jul 2022 16:36:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,26 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Nandaja Varma <nandaja.varma@gmail.com>,
            Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gem2deb,
                ruby-activesupport,
                ruby-minitest,
                ruby-mocha,
+               ruby-rspec,
                ruby-tzinfo
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-timecop.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-timecop
 Homepage: https://github.com/travisjeffery/timecop
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: ruby-timecop
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         ${ruby:Depends},
          ${shlibs:Depends}
 Description: Ruby library to easily test time-dependent code
  Timecop makes it easy to travel through or freeze time for creating a

=== debian/watch ===
version=4
https://gemwatch.debian.net/timecop .*/timecop-(.*).tar.gz

## ruby-timecop 0.9.6

=== debian/changelog ===
ruby-timecop (0.9.6-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.4.1, no changes needed.
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints. + ruby-timecop: Add Multi-Arch: foreign.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package

  [ Lucas Nussbaum ]
  * New upstream version 0.9.6
  * Refresh packaging using dh-make-ruby -w
  * test_helper.rb_editing.patch: improve header
  * Fix running test suite

 -- Lucas Nussbaum <lucas@debian.org>  Sat, 14 Jan 2023 14:33:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ruby-timecop
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Nandaja Varma <nandaja.varma@gmail.com>,
            Cédric Boutillier <boutil@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -16,15 +16,14 @@
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-timecop
 Homepage: https://github.com/travisjeffery/timecop
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-timecop
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Ruby library to easily test time-dependent code
  Timecop makes it easy to travel through or freeze time for creating a
  predictable and ultimately testable scenario.

## ruby-timecop 0.9.8

=== debian/changelog ===
ruby-timecop (0.9.8-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.8
  * Refresh patch test_helper.rb_editing.patch

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 27 Aug 2023 08:54:02 +0200

=== debian/watch ===
version=4
opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/travisjeffery/timecop/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-timecop 0.9.10

=== debian/changelog ===
ruby-timecop (0.9.10-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: skip two clock tests on 32-bits architectures

 -- Paul Gevers <elbrus@debian.org>  Sat, 02 Nov 2024 08:34:36 +0100

ruby-timecop (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 23 Jul 2024 16:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                ruby-mocha,
                ruby-rspec,
                ruby-tzinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-timecop.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-timecop
 Homepage: https://github.com/travisjeffery/timecop

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY = --gem-install
 export TZ=UTC
 
 %:
